glibc minimum linux kernel version

Note to self:

glibc-2.13: at least 2.6.12… ok (mips64)
glibc-2.19: minimum kernel version reset to 2.6.16 (mips64)
glibc-2.21: at least 2.6.32 (mips64)

to be extended.

Also, turns out the FP NAN representation was recently changed for IEEE 754-2008 on MIPS around Linux kernel version 4.5.0, and glibc 2.23.

Update: On a similar note: GCC 4.4 now supports the MIPS R10K, R12K, R14K and R16K processors.

Leave a Reply

You must be logged in to post a comment.